| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::Memory::AllocatorHeap< HeapPtr > Class Template Reference

A memory allocator that allocates from a heap. More...

`#include <csutil/memheap.h>`

Inheritance diagram for CS::Memory::AllocatorHeap< HeapPtr >:

[legend]
List of all members.

## Detailed Description

### template<class HeapPtr = Heap*>
class CS::Memory::AllocatorHeap< HeapPtr >

A memory allocator that allocates from a heap.

The `HeapContainer` template argument should behave like a pointer to an object of type Heap* or compatible interface.

Definition at line 191 of file memheap.h.

The documentation for this class was generated from the following file:

- csutil/memheap.h